r.random.cells(1)

NAME
r.random.cells - Generates random cell values with spatial dependence.

KEYWORDS
raster

SYNOPSIS
r.random.cells
r.random.cells help
r.random.cells output=string distance=float [seed=integer] [--overwrite]

  Flags:

--overwrite

  Parameters:

output=string
    Name of indepent cells map

distance=float
    Input value: max. distance of spatial correlation (value(s) >= 0.0)

seed=integer
    Input value: random seed (SEED_MIN >= value >= SEED_MAX), default [random]

DESCRIPTION
r.random.cells generates a random sets of cells that are at least distance apart. The cells are numbered from 1 to the numbers of cells generated. Random cells will not be generated in areas masked off.

PARAMETERS
output Output map: Random cells. Each random cell has a unique non-zero cell value ranging from 1 to the number of cells generated. The heuristic for this algorithm is to randomly pick cells until there are no cells outside of the chosen cell's buffer of radius distance.

distance Input value(s) [default 0.0]: distance determines the minimum distance the centers of the random cells will be apart.

seed Input value [default: random]: Specifies the random seed that r.random.cells will use to generate the cells. If the random seed is not given, r.random.cells will get a seed from the process ID number.

NOTES
The original purpose for this program was to generate independent random samples of cells in a study area. The distance value is the amount of spatial autocorrelation for the map being studied. The amount of spatial autocorrelation can be determined by using r.2Dcorrelogram with r.2Dto1D, or r.1Dcorrelogram. With distance set to zero, the output map will number each non-masked cell from 1 to the number of non-masked cells in the study region.

REFERENCES
Random Field Software for GRASS by Chuck Ehlschlaeger

As part of my dissertation, I put together several programs that help GRASS (4.1 and beyond) develop uncertainty models of spatial data. I hope you find it useful and dependable. The following papers might clarify their use:

"Visualizing Spatial Data Uncertainty Using Animation (final draft)," by Charles R. Ehlschlaeger, Ashton M. Shortridge, and Michael F. Goodchild. Submitted to Computers in GeoSciences in September, 1996, accepted October, 1996 for publication in June, 1997.

"Modeling Uncertainty in Elevation Data for Geographical Analysis", by Charles R. Ehlschlaeger, and Ashton M. Shortridge. Proceedings of the 7th International Symposium on Spatial Data Handling, Delft, Netherlands, August 1996.

"Dealing with Uncertainty in Categorical Coverage Maps: Defining, Visualizing, and Managing Data Errors", by Charles Ehlschlaeger and Michael Goodchild. Proceedings, Workshop on Geographic Information Systems at the Conference on Information and Knowledge Management, Gaithersburg MD, 1994.

"Uncertainty in Spatial Data: Defining, Visualizing, and Managing Data Errors", by Charles Ehlschlaeger and Michael Goodchild. Proceedings, GIS/LIS'94, pp. 246-253, Phoenix AZ, 1994.

SEE ALSO
r.1Dcorrelogram, r.2Dcorrelogram, r.2Dto1D, r.random.surface, r.random.model, r.random

AUTHOR

Charles Ehlschlaeger; National Center for Geographic Information and Analysis, University of California, Santa Barbara.

Last changed: $Date: 2006/04/20 21:31:23 $

Full index